# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/files/imapd.conf,v 1.5 2004/08/27 06:02:45 langthang Exp $

# Don't forget to use chattr +S (if you are using ext[23]) 
# when you change these directories (read the docs).
configdirectory:	/var/imap
partition-default:	/var/spool/imap
sievedir:		/var/imap/sieve

tls_ca_path:            /etc/ssl/certs
tls_cert_file:		/etc/ssl/cyrus/server.crt
tls_key_file:		/etc/ssl/cyrus/server.key

# Don't use an everyday user as admin.
admins:			cyrus

hashimapspool:		yes
allowanonymouslogin:	no
allowplaintext:		no

# Allow renaming of top-level mailboxes.
#allowusermoves:         yes

# Use this if sieve-scripts could be in ~user/.sieve.
#sieveusehomedir:	yes

# Use saslauthd if you want to use pam for imap.
# But be warned: login with DIGEST-MD5 or CRAM-MD5 
# is not possible using pam.
#sasl_pwcheck_method:	saslauthd

####################################################
## This is a recommended authentication method if you
## emerge cyrus-sasl with 'postgres' or 'mysql'
## To use with mysql database uncomment those lines below.

#sasl_pwcheck_method: auxprop
#sasl_auxprop_plugin: sql

## possible values for sasl_auxprop_plugin 'mysql', 'pgsql', 'sqlite'.
#sasl_sql_engine: mysql

## all possible values.
#sasl_mech_list: LOGIN PLAIN CRAM-MD5 DIGEST-MD5 NTLM
## or limit to CRAM-MD5 only
#sasl_mech_list: CRAM-MD5

## change below to suit your setup.
sasl_sql_user: mailsqluser
sasl_sql_passwd: password
sasl_sql_database: mailsqldb
sasl_sql_hostnames: localhost
sasl_sql_select: SELECT clear FROM users WHERE email = '%u@%r'
